# Get account lookup by status

Get Account Lookup entities by status and other filters. Status defaults to `REQUESTED`.

Endpoint: GET /account_lookups
Version: 4.0.0
Security: Bearer

## Security:

  - `Bearer` (unknown)
    apiKey in header Authorization

## Query parameters:

  - `page` (integer)
    The page number for [paginated results](/products/payments-odl/api-docs/ripplenet/best-practices/pagination/). The value is zero-based, where `0` represents the first page.<br/>
Set it to `0` to get the first page of results.

  - `size` (integer)
    Number of objects to return per page

  - `account_lookup_status` (array)
    Account Lookup status

  - `start-date` (string)
    The lower bound of the date-time range you want to return account lookup for, as an ISO-8601 timestamp in UTC. For example, `2018-08-06T23:13:55.997Z`.

  - `end-date` (string)
    The upper bound of the date-time range you want to return statement information for, as an ISO-8601 timestamp in UTC For example, `2018-08-06T23:15:13.218Z`.

  - `sort_field` (string)
    Attribute for how to sort the results

  - `sort_direction` (string)
    Direction of sorted results.

## Response 200:

  - `200` (unknown)
    Successfully returned response for Account Lookup

## Response 200 fields (application/json):

  - `first` (boolean)
    true if  this is the first page.

  - `last` (boolean)
    true if  this is the last page.

  - `number` (integer)
    page number

  - `numberOfElements` (integer)
    Number Of elements in this request

  - `size` (integer)
    page size

  - `totalElements` (integer)
    Total number of elements for the given request

  - `totalPages` (integer)
    Total number of pages for the given request

  - `sort` (array)
    Sort details of this page

  - `sort.direction` (string)
    Direction of the sort
    Example: ASC

  - `sort.property` (string)

  - `sort.ignoreCase` (boolean)

  - `sort.nullHandling` (string)
    Example: NULLS_FIRST

  - `sort.ascending` (boolean)
    Example: true

  - `sort.descending` (boolean)
    Example: false

  - `content` (array)

  - `content.account_lookup_id` (string, required)
    UUID that links Account lookup request and response.

  - `content.account_lookup_status` (string, required)
    State of the Account Lookup object. Should be `REQUESTED`/`PROCESSED`/`FAILED`.
    Enum: "REQUESTED", "PROCESSED", "FAILED", "EXPIRED"

  - `content.first_name` (string)
    First name of the beneficiary.

  - `content.middle_name` (string)
    Middle name of the beneficiary.

  - `content.last_name` (string)
    Last name of the beneficiary.

  - `content.org_name` (string)
    Name of the organization.

  - `content.country_code` (string)
    Country of the beneficiary. Alpha-2 Code format per ISO 3166-1.

  - `content.account_currency` (string)
    The 3 character currency code for the account as per ISO-4217 standards

  - `content.account_id` (string)
    Identifier for the Account, e.g account number.

  - `content.account_id_type` (string)
    Account ID type. Possible values are
- `AIIN` - (default) Account Issue Identification Number
- `BBAN` - Basic Bank Account Number
- `CARD` - PAN of the card identifying the account
- `CUID` - CHIPS Universal Identifier
- `UPIC` - Universal Payment Identification Code
- `EMail` - Email Address
- `MSISDN` - Mobile Subscriber Integrated Service Digital Network (i.e., phone number)
- `DMST` - Domestic
- `Other` - Other identifier (e.g., PayID)
    Enum: "AIIN", "BBAN", "CARD", "CUID", "UPIC", "EMAIL", "MSISDN", "DMST", "OTHER"

  - `content.result_code` (string)
    Result code of the Account Lookup response. Possible values are
- `RNCB0000` - Pass- Name and Identifier are correct and linked
- `RNCB0001` - Fail- Name and Identifier not found
- `RNCB0002` - Fail- Name and Identifier do not match

  - `content.result_status` (string)
    Result status of Account Lookup response.
    Enum: "PASS", "FAIL"

  - `content.result_description` (string)
    Result description of Account Lookup response.

  - `content.redacted_first_name` (string)
    First name of the beneficiary redacted by the receiver.

  - `content.redacted_middle_name` (string)
    Middle name of the beneficiary redacted by the receiver.

  - `content.redacted_last_name` (string)
    Last name of the beneficiary redacted by the receiver.

  - `content.redacted_org_name` (string)
    Name of the organization redacted by the receiver.

  - `content.redacted_country_code` (string)
    Country of the beneficiary redacted by the receiver.

  - `content.redacted_account_id` (string)
    Identifier for the Account, e.g account number, redacted by the receiver.

  - `content.redacted_account_id_type` (string)
    Account ID type, redacted by the receiver. Possible values are
- `AIIN` - (default) Account Issue Identification Number
- `BBAN` - Basic Bank Account Number
- `CARD` - PAN of the card identifying the account
- `CUID` - CHIPS Universal Identifier
- `UPIC` - Universal Payment Identification Code
- `EMail` - Email Address
- `MSISDN` - Mobile Subscriber Integrated Service Digital Network (i.e., phone number)
- `DMST` - Domestic
- `Other` - Other identifier (e.g., PayID)
    Enum: "AIIN", "BBAN", "CARD", "CUID", "UPIC", "EMAIL", "MSISDN", "DMST", "OTHER"

  - `content.redacted_account_currency` (string)
    The 3 character currency code for the account as per ISO-4217 standards

  - `content.clearing_system_code` (string)
    Clearing system code

  - `content.branch_code` (string)
    The Branch code (e.g., routing code) that the receiver has on their system.

## Response 400:

  - `400` (unknown)
    Bad request problem

## Response 400 fields (application/json):

  - `type` (string)
    URL to the error documentation.
    Example: https://errors.ripplenet.ripple.com/error/json-processing-error

  - `title` (string)
    Summary of the returned problem.
    Example: Invalid Request Object

  - `detail` (string)
    Description of the returned problem.
    Example: The request parameter [account_id] is not in the correct format.

  - `status` (number)
    HTTP error code.
    Example: 400

  - `ripplenet_error_code` (string)
    RippleNet specific error code.
    Example: E0104

  - `finality` (string)
    Specifies if the request can be retried for a successful response.
    Example: PERMANENT

## Response 404:

  - `404` (unknown)
    Account Lookup Not Found

## Response 404 fields (application/json):

  - `type` (string)
    URL to the error documentation.
    Example: https://errors.ripplenet.ripple.com/error/json-processing-error

  - `title` (string)
    Summary of the returned problem.
    Example: Invalid Request Object

  - `detail` (string)
    Description of the returned problem.
    Example: The request parameter [account_id] is not in the correct format.

  - `status` (number)
    HTTP error code.
    Example: 400

  - `ripplenet_error_code` (string)
    RippleNet specific error code.
    Example: E0104

  - `finality` (string)
    Specifies if the request can be retried for a successful response.
    Example: PERMANENT

## Response 500:

  - `500` (unknown)
    Server Error - No valid network path to receiver. Account Lookup is not supported by a participant in the network path.

## Response 500 fields (application/json):

  - `type` (string)
    URL to the error documentation.
    Example: https://errors.ripplenet.ripple.com/error/json-processing-error

  - `title` (string)
    Summary of the returned problem.
    Example: Invalid Request Object

  - `detail` (string)
    Description of the returned problem.
    Example: The request parameter [account_id] is not in the correct format.

  - `status` (number)
    HTTP error code.
    Example: 400

  - `ripplenet_error_code` (string)
    RippleNet specific error code.
    Example: E0104

  - `finality` (string)
    Specifies if the request can be retried for a successful response.
    Example: PERMANENT

